#ifndef CLASSIFER_H
#define CLASSIFER_H
#include <nlohmann/json.hpp>

namespace pywrap {
    class Classifier {
    public:
        Classifier() = default;
        virtual ~Classifier() = default;
        virtual void setHyperparameters(const nlohmann::json& hyperparameters) = 0;
    };
} /* namespace pywrap */
#endif /* CLASSIFER_H */